FLANG

Public Member Functions | List of all members
Fortran::evaluate::ExtractCoindexedObjectHelper Struct Reference

## Public Member Functions
template<typename A >
std::optional< CoarrayRef > | operator() (const A &) const
std::optional< CoarrayRef > | operator() (const CoarrayRef &x) const
template<typename A >
std::optional< CoarrayRef > | operator() (const Expr< A > &expr) const
std::optional< CoarrayRef > | operator() (const DataRef &dataRef) const
std::optional< CoarrayRef > | operator() (const NamedEntity &named) const
std::optional< CoarrayRef > | operator() (const ProcedureDesignator &des) const
std::optional< CoarrayRef > | operator() (const Component &component) const
std::optional< CoarrayRef > | operator() (const ArrayRef &arrayRef) const

The documentation for this struct was generated from the following file:

- include/flang/Evaluate/tools.h